mini_snmpd(8)

NAME
mini_snmpd - a minimal implementation of an SNMP daemon.

SYNOPSIS
mini_snmpd [options]

DESCRIPTION
mini_snmpd is a program that serves basic system parameters to clients using SNMP (simple network management protocol) version 1 or 2c. Its behaviour can be controlled using the following options:

-p nnn, --udp-port=nnn
    The UDP port where the program listens (default is 161)

-P nnn, --tcp-port=nnn
    The TCP port where the program listens (default is 161)

-c nnn, --community=nnn
    The value of the SNMP community string (default is "public")

-D nnn, --description=nnn
    The description of the device (default is empty)

-V nnn, --vendor=nnn
    The OID of the device vendor, this MUST be changed to your own organization's OID (default is .1.3.6.1.4.1)

-L nnn, --location=nnn
    The location of the device (default is empty)

-C nnn, --contact=nnn
    The contact address of the device administrator (default is empty)

-d nnn, --disks=nnn
    The list of disk mountpoints (default is empty)

-i nnn, --interfaces=nnn
    The list of network interfaces (default is empty)

-t nnn, --timeout=nnn
    Timeout for updating the MIB variables (default is 1 second)

-a, --auth
    Require client authentication, thus SNMP version 2c (default is off)

-v, --verbose
    Verbose log messages to syslog/stderr (default is off)

-l, --licensing
    Print licensing information and exit

-h, --help
    Print program usage help and exit

mini_snmpd can be told to exit by sending it a HUP or TERM signal.

NOTES
Running mini_snmpd

The program does not put itself into the background or detach itself from the controlling terminal. This is not included on purpose since normally the program is started from the init process, where running in background is not desired.

How to get the vendor OID

The default vendor OID is only a placeholder where you need to insert the PEN (private enterprise number) of your organization. If you do not have one, you can get one assigned by the IANA (internet assigned numbers authority) free of charge. See their PEN application webpage at http://pen.iana.org/.

EXAMPLES
mini_snmpd -c secret -D "My embedded device" -d /cf -i lo,eth0

This command starts the program at the default port, using the community string "secret", the system descripton "My embedded device" and provides disk statistics for the "/cf" mountpoint and network interface statistics for the interfaces "lo" and "eth0".

AUTHOR
This manual page was written by Robert Ernst <robert.ernst@aon.at>.